QGIS Application - Bug report #11641
QgsComposerLegend.setLegendFilterByMapEnabled does not work for non-visible raster layers
2014-11-13 11:05 PM - Patrick Maslen Maslen

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19894
Description

When a raster layer is loaded but visibility set to False (e.g. because a composer has a main map and an overview map, with the raster
layer being required only for the overview map), QgsComposerLegend.setLegendFilterByMapEnabled(True) does not result in the raster
layer being removed from the composer legend. Vector layers behave as expected - i.e. they are removed from the legend when the same
process is applied. | understand that the method is also for limiting legend entries for vectors displayed with categorised styles, but | need
a way to programmatically remove raster layers from the composer legend.

This is important for my organisation's several hundred QGIS users, most of them not highly skilled, as we create an automated map
production Python plugin based on templates using a specific raster layer in the overview maps. The combination of this issue with part 2
of bug report #11293 means that | have not been able to use pyqgis to remove the raster layer from the composer legends - this may well
mean we choose 2.4 rather than 2.6 for our imminent upgrade from 1.8.

Thanks

Pat

History

#1 - 2015-06-04 12:59 AM - Jiirgen Fischer
- Category set to Map Composer/Printing

#2 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#3 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2017-05-10 04:09 PM - Arnaud Morvan

- Description updated

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

Related with #14194
Pull request proposed on master : https://github.com/qgis/QGIS/pull/4531

#5 - 2019-03-09 03:12 PM - Giovanni Manghi
- Resolution set to end of life
https://github.com/qgis/QGIS/pull/4531

- Status changed from In Progress to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
